### Function

# GObject signal_accumulator_first_wins

since: 2.28

#### Declaration

    gboolean
    g_signal_accumulator_first_wins (
      GSignalInvocationHint* ihint,
      GValue* return_accu,
      const GValue* handler_return,
      gpointer dummy
    )

#### Description

A predefined `GSignalAccumulator` for signals intended to be used as a hook for application code to provide a particular value. Usually only one such value is desired and multiple handlers for the same signal don’t make much sense (except for the case of the default handler defined in the class structure, in which case you will usually want the signal connection to override the class handler).

This accumulator will use the return value from the first signal handler that is run as the return value for the signal and not run any further handlers (ie: the first handler “wins”).

Available since: 2.28

#### Parameters

`ihint`

  Type: `GSignalInvocationHint`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`return_accu`

  Type: `GValue`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`handler_return`

  Type: `GValue`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`dummy`

  Type: `gpointer`

  Standard `GSignalAccumulator` parameter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Standard `GSignalAccumulator` result.